
stringtable "English"
  string noresponse              , "$(address) (no response)"
  string notready                , "Not ready"
  string ready                   , "Ready"
  string incall6                 , "Incoming call from $6"
  string incall5                 , "Incoming call from $5"
  string incall                  , "Incoming call"
  string outcall6                , "Outgoing call to $6"
  string outcall5                , "Outgoing call to $5"
  string outcall                 , "Outgoing call"
  string callback6               , "Callback to $6"
  string leasedline6             , "Leased line to $6"
  string protneg6                , "Protocol negotiation with $6"
  string conto6                  , "Connected to $6"
  string conto5                  , "Connected to $5"
  string disc                    , "Disconnecting"
  string bundled6                , "Bundled leased to $6"
  string chanbundling6           , "Channel bundling to $6"
  string connected               , "Connected"
  string vpn_callin              , "Incoming call from $1 (via $2)"
  string vpn_callout             , "Outgoing call to $1 (via $2)"
  string vpn_protocol            , "Protocol negotiation with $1 (via $2)"
  string vpn_connected           , "Connected to $1 (via $2)"
  string vpn_disconnect          , "Disconnecting $1 (via $2)"
  string lcapi                   , "LANCAPI client: $(3 as ip)"
  string abport                  , "a/b Port"
  string abportnum1              , "a/b Port number 1"
  string abportnum2              , "a/b Port number 2"
  string abportnum3              , "a/b Port number 3"
  string abportnum4              , "a/b Port number 4"
  string protocol                , "Protocol"
  string protelsa                , "Protocol: ELSA"
  string protppp                 , "Protocol: PPP"
  string prottrans               , "Protocol: Transparent"
  string nooptions               , "No options"
  string optcompr                , "Options: Compression"
  string optchanbundle           , "Options: Channel bundling"
  string optbundleandcompr       , "Options: Bundling and compression"
  string netprottcp              , "Network protocol: TCP/IP"
  string ownip                   , "Own IP address: $1"
  string owndns                  , "Own DNS server: $1"
  string ownnbns                 , "Own NBNS server: $1"
  string remoteip                , "Remote IP address: $1"
  string remotedns               , "Remote DNS server: $1"
  string remotenbns              , "Remote NBNS server: $1"
  string netprot                 , "Network protocol: IPX"
  string routemethod             , "Routing method: $(1 select None 1 RIP-SAP 3 NLSP)"
  string wannet                  , "WAN network: $1"
  string ownnodeid               , "Own node ID: $1"
  string remotenodeid            , "Remote node ID: $1"
  string contime                 , "Connection time: $(2 as duration)"
  string charg1                  , "Charging"
  string charg2                  , "Charging: $2 unit"
  string charg3                  , "Charging: $2 units"
  string sendrecv                , "Sending $5 cps, receiving $4 cps"
  string netmsg                  , "Network message: \"$1\""
  string noerror                 , "Error ($(i map line)): No error"
  string error                   , "Error ($(i map line)): $(1 map err_text)"
  string sysinfo                 , "System information"
  string device                  , "Device: $1"
  string firmware                , "Firmware version: $(1 tok 0)"
  string sernum                  , "Serial number: $1"
  string location                , "Location: $1"
  string admin                   , "Administrator: $1"
  string datetime                , "Date and time: $(1 as datetime)"
  string uptime                  , "System up time: $(1 /100 as duration)"
  string wlancard                , "WLAN card: (not present)"
  string wlancard2               , "WLAN card: $2"
  string wlanfirmware            , "Firmware: $2"
  string wlansernum              , "Serial number: $2"
  string wlan                    , "Wireless LAN"
  string wlanstation             , "Station $2 ($1% signal strength)"
  string wan_isdn_old            , "WAN interface: ISDN"
  string wan_biz4100             , "WAN interfaces: 4 x ISDN"
  string wan_biz6001             , "WAN interfaces: ISDN, X.21"
  string wan_biz6011             , "WAN interfaces: ISDN, X.21, G.703"
  string wan_biz6021             , "WAN interfaces: ISDN, X.21, 2 x G.703"
  string wan_ofc1610             , "WAN interface: DSL (Ethernet)"
  string wan_ofc1611             , "WAN interfaces: DSL, ISDN"
  string wan_dsl25               , "WAN interface: ATM"
  string wan_adsl                , "WAN interface: ADSL"
  string s0bus                   , "ISDN: $(1 map dprot)"
  string eth10dsl                , "DSL (Ethernet)"
  string usedprotocol            , "Protocol: $(1 map dprot)"
  string s0active                , "S0 bus active: $(1 select No Yes)"
  string teiassigned             , "TEI assigned: $(1 select No Yes)"
  string layer2act               , "Layer 2 active: $(1 select No Yes)"
  string linkstate               , "Link state: $(1 select Down Up)"
  string x21interface            , "X.21 interface active: $(1 select No Yes)"
  string x21cts                  , "CTS: $(1 select No Yes)"
  string x21rts                  , "RTS: $(1 select No Yes)"
  string x21clock                , "Clock signal present: $(1 select No Yes)"
  string g703interface           , "G.703 interface active: $(1 select No Yes)"
  string g703attenuation         , "Line attenuation: $1"
  string sigpresent              , "Signal present: $(1 select No Yes)"
  string charge1                 , "Total charge: $(1 map units)"
  string charge2                 , "Total charge units"
  string chargitem               , "$(i map charge_item): $(1 map units) ($(3 map units) remaining)"
  string router                  , "Router"
  string routerisdn              , "Router (ISDN)"
  string routerdsl               , "Router (DSL)"
  string lancapi                 , "LANCAPI"
  string abport1                 , "a/b Port 1"
  string abport2                 , "a/b Port 2"
  string abport3                 , "a/b Port 3"
  string abport4                 , "a/b Port 4"
  string timesync                , "Time sync."
  string inet                    , "Internet"
  string totonlinetime1          , "Total online time: $(1 map minutes)"
  string totonlinetime2          , "Total online time"
  string outmin                  , "$(i map minutes_item) (outgoing): $(1 map minutes)"
  string outminandremain         , "$(i map minutes_item) (outgoing): $(1 map minutes) ($(3 map minutes) remaining)"
  string incmin                  , "$(i map minutes_item) (incoming): $(1 map minutes)"
  string actbudget               , "&Enable Additional Time Limit (DSL)"
  string errordisp               , "Error:"
  string notreadydisp            , "Not ready"
  string readydisp               , "Ready"
  string incalldisp              , "Incoming call"
  string dialdisp                , "Dial"
  string protocoldisp            , "Protocol"
  string discdisp                , "Disconnect"
  string callbackdisp            , "Callback"
  string bundledisp              , "$5/B"
  string lancapidisp             , "LANCAPI"
  string abport1disp             , "a/b Port 1"
  string abport2disp             , "a/b Port 2"
  string abport3disp             , "a/b Port 3"
  string abport4disp             , "a/b Port 4"
  string clrerrdisp              , "Clear &Error"
  string clrerrondisp            , "Clear &Error on $(1 map channel)"
  string mnudiscdisp             , "&Disconnnect"
  string mnudisc1disp            , "&Disconnnect $1"
  string askdiskexit             , "There is still a connection to the remote site \"$1\".\r\rDo you want to disconnect it now?"
  string logdialfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), $(3 -1 select Outgoing Incoming) call"
  string logcbfmt                , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Callback"
  string logprotfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Protocol"
  string logconnfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Connect"
  string logdiscfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Disconnect, Charge: $6 units, Time: $7 seconds"
  string logerrorfmt             , "$1 ($(address)) Error occured on $(2 map line): $(3 map err_text)"
  string infoconnfmt             , "$1 - $(2 map line)\nConnected to $3"
  string infodiscfmt             , "$1 - $(2 map line)\nDisconnected"
  string logconnabfmt            , "$1 ($(address)) a/b port $4 $(3 -1 select -> <-) $5, Connect"
  string logdiscabfmt            , "$1 ($(address)) a/b port $4 $(3 -1 select -> <-) $5, Disconnect, Charge: $6 units, Time: $7 seconds"
  string logconncapi             , "$1 ($(address)) LANCAPI client $(4 as ip) $(3 -1 select -> <-) $5, Connect"
  string logdisccapi             , "$1 ($(address)) LANCAPI client $(4 as ip) $(3 -1 select -> <-) $5, Disconnect, Charge: $6 units, Time: $7 seconds"
  string isdn1                   , "ISDN1"
  string isdn2                   , "ISDN2"
  string isdn3                   , "ISDN3"
  string isdn4                   , "ISDN4"
  string line1                   , "Line 1"
  string line2                   , "Line 2"
  string line3                   , "Line 3"
  string line4                   , "Line 4"
  string line5                   , "Line 5"
  string line6                   , "Line 6"
  string line7                   , "Line 7"
  string line8                   , "Line 8"
  string line9                   , "Line 9"
  string line10                  , "Line 10"
  string line11                  , "Line 11"
  string line12                  , "Line 12"
  string line1-1                 , "Line 1-1"
  string line1-2                 , "Line 1-2"
  string line2-1                 , "Line 2-1"
  string line2-2                 , "Line 2-2"
  string line3-1                 , "Line 3-1"
  string line3-2                 , "Line 3-2"
  string line4-1                 , "Line 4-1"
  string line4-2                 , "Line 4-2"
  string dsl                     , "DSL"
  string line                    , "Line"
  string dslline                 , "DSL Line"
  string isdn                    , "ISDN"
  string isdnline1               , "ISDN Line 1"
  string isdnline2               , "ISDN Line 2"
  string x21                     , "X.21"
  string x21line                 , "X.21 Line"
  string g703-1                  , "G.703-1"
  string g703-1line              , "G.703-1 Line"
  string g703-2                  , "G.703-2"
  string g703-2line              , "G.703-2 Line"
  string atm                     , "ATM"
  string ch1                     , "Ch01"
  string ch2                     , "Ch02"
  string ch3                     , "Ch03"
  string ch4                     , "Ch04"
  string ch5                     , "Ch05"
  string ch6                     , "Ch06"
  string ch7                     , "Ch07"
  string ch8                     , "Ch08"
  string ch1-1                   , "Ch1-1"
  string ch1-2                   , "Ch1-2"
  string ch2-1                   , "Ch2-1"
  string ch2-2                   , "Ch2-2"
  string ch3-1                   , "Ch3-1"
  string ch3-2                   , "Ch3-2"
  string ch4-1                   , "Ch4-1"
  string ch4-2                   , "Ch4-2"
  string protdetect              , "Protocol detection"
  string eurodss1                , "DSS1 (Euro-ISDN)"
  string 1tr6                    , "1TR6 (German ISDN)"
  string dss1p2p                 , "DSS1 Point to point"
  string grpo                    , "GRP0 (Leased line)"
  string euisdnandleasedline     , "DSS1 (Euro-ISDN) and GRP0 (Leased line)"
  string oneunit                 , "1 unit"
  string units                   , "$(from) units"
  string oneminute               , "1 minute"
  string minutes                 , "$(from) minutes"
  string err_noerr               , "No error"
  string err_dialfailure         , "Dial failure"
  string err_chargelimit         , "Charge limit exceeded"
  string err_nocallingnum        , "No calling number specified"
  string err_noremotespec        , "No remote specified"
  string err_remotedoubled       , "Remote doubled"
  string err_remotelocked        , "Remote locked"
  string err_nochargeinfo        , "No charging info"
  string err_yconnotallowed      , "Y-connections not allowed"
  string err_dail_failure        , "Dial failure"
  string err_remotebarred        , "Remote barred"
  string err_remotebusy          , "Remote busy"
  string err_remotenotresp       , "Remote not responding"
  string err_remoteerr           , "Remote error"
  string err_connrej             , "Connection rejected"
  string err_callnumchanged      , "Calling number changed"
  string err_remotenotready      , "Remote not ready"
  string err_wrongcallnum        , "Wrong calling number"
  string err_loclinebusy         , "Local line busy"
  string err_remotelinebusy      , "Remote line busy"
  string err_isdncongestion      , "ISDN congestion"
  string err_locallinelocked     , "Local line locked"
  string err_facnotperm          , "Facility not permitted"
  string err_servnotenabled      , "Service not available"
  string err_facnotavail         , "Facility not available"
  string err_incdest             , "Incompatible destination"
  string err_failedtoestabd1     , "Failed to establish D1"
  string err_failedtoestabd2     , "Failed to establish D2"
  string err_failedtoestabb1     , "Failed to establish B1"
  string err_failedtoestabb2     , "Failed to establish B2"
  string err_errisdnlayer1       , "Error ISDN layer 1"
  string err_abortdued2failure   , "Abort due to D2 failure"
  string err_abortdued3failure   , "Abort due to D3 failure"
  string err_abortdueb2failure   , "Abort due to B2 failure"
  string err_pubexchangenotresp  , "Public exchange not responding"
  string err_facilitynotsupp     , "Facility not supported"
  string err_localerr            , "Local error"
  string err_abortduetod3failure , "Abort due to D3 failure"
  string err_lcprejected         , "LCP rejected"
  string err_authfailed          , "Authentication failed"
  string err_authrejected        , "Authentication rejected"
  string err_lcpconerr           , "LCP connection error"
  string err_paprej              , "PAP rejected"
  string err_paprecvtimeout      , "PAP receive timeout"
  string err_paptranstimeout     , "PAP transmit timeout"
  string err_wrongpapreq         , "Wrong PAP request"
  string err_papnakrecv          , "PAP-NAK received"
  string err_chaprej             , "CHAP rejected"
  string err_chaprecvtimeout     , "CHAP receive timeout"
  string err_chaptranstimeout    , "CHAP transmit timeout"
  string err_wrongchapresp       , "Wrong CHAP response"
  string err_chapfailrecv        , "CHAP fail received"
  string err_unkownchappeer      , "Unknown CHAP peer"
  string err_ipxcprej            , "IPXCP rejected"
  string err_wrongipxcpnet       , "Wrong IPXCP network"
  string err_ipxcpnetrej         , "IPXCP network rejected"
  string err_ipxcprouteunknown   , "IPXCP route unknown"
  string err_ipcprej             , "IPCP rejected"
  string err_ccprej              , "CCP rejected"
  string err_noncpavail          , "No NCP available"
  string err_timelimitexceeded   , "Time limit exceeded"
  string err_failedtoestb1       , "Failed to establish B1"
  string err_failedtoestb2       , "Failed to establish B2"
  string err_errdsllayer1        , "Error DSL layer 1"
  string err_servnotavail        , "Service not available"
  string err_generr              , "General error"
  string err_accconcentincorr    , "Access concentrator incorrect"
  string err_nameofaccconcentinc , "Name of access concentrator incorrect"
  string err_remoteerror         , "Remote error"
  string err_invalidsessid       , "Invalid session ID"
  string err_0xbla               , "Error 0x$(from as hex)"
  string vpnconlist              , "VPN connections"
  string vpnconinfo              , "VPN connections: $(vpn_concnt select None)"
  string vpn-connections         , "&VPN Connections"
  string accounting              , "&Accounting Information"
  string opt_discexit            , "Disconnect all lines when the system shuts down"
  string opt_always              , "Always"
  string opt_prompt              , "Prompt"
  string opt_never               , "Never"

stringtable "Deutsch"
  string noresponse              , "$(address) (keine Antwort)"
  string notready                , "Nicht bereit"
  string ready                   , "Bereit"
  string incall6                 , "Anliegender Ruf von $6"
  string incall5                 , "Anliegender Ruf von $5"
  string incall                  , "Anliegender Ruf"
  string outcall6                , "Abgehender Ruf zu $6"
  string outcall5                , "Abgehender Ruf zu $5"
  string outcall                 , "Abgehender Ruf"
  string callback6               , "Rckruf zu $6"
  string leasedline6             , "Festverbindung zu $6"
  string protneg6                , "Protokollverhandlung mit $6"
  string conto6                  , "Verbunden mit $6"
  string conto5                  , "Verbunden mit $5"
  string disc                    , "Verbindung trennen"
  string bundled6                , "Gebndelte Festverbindung zu $6"
  string chanbundling6           , "Kanalbndelung mit $6"
  string connected               , "Verbunden"
  string vpn_callin              , "Anliegender Ruf von $1 (ber $2)"
  string vpn_callout             , "Abgehender Ruf zu $1 (ber $2)"
  string vpn_protocol            , "Protokollverhandlung mit $1 (ber $2)"
  string vpn_connected           , "Verbunden mit $1 (ber $2)"
  string vpn_disconnect          , "Verbindung zu $1 trennen (ber $2)"
  string lcapi                   , "LANCAPI-Client: $(3 as ip)"
  string abport                  , "a/b Port"
  string abportnum1              , "a/b Port Nummer 1"
  string abportnum2              , "a/b Port Nummer 2"
  string abportnum3              , "a/b Port Nummer 3"
  string abportnum4              , "a/b Port Nummer 4"
  string protocol                , "Protokoll"
  string protelsa                , "Protokoll: ELSA"
  string protppp                 , "Protokoll: PPP"
  string prottrans               , "Protokoll: Transparent"
  string nooptions               , "Keine Optionen"
  string optcompr                , "Optionen: Komprimierung"
  string optchanbundle           , "Optionen: Kanalbndelung"
  string optbundleandcompr       , "Optionen: Bndelung und Kompression"
  string netprottcp              , "Netzwerkprotokoll: TCP/IP"
  string ownip                   , "Eigene IP-Adresse: $1"
  string owndns                  , "Eigener DNS-Server: $1"
  string ownnbns                 , "Eigener NBNS-Server: $1"
  string remoteip                , "IP-Adresse der Gegenstelle: $1"
  string remotedns               , "DNS-Server der Gegenstelle: $1"
  string remotenbns              , "NBNS-Server der Gegenstelle: $1"
  string netprot                 , "Netzwerkprotokoll: IPX"
  string routemethod             , "Routing-Methode: $(1 select Keine 1 RIP-SAP 3 NLSP)"
  string wannet                  , "WAN-Netzwerk: $1"
  string ownnodeid               , "Eigene Stations-ID: $1"
  string remotenodeid            , "Stations-ID der Gegenstelle: $1"
  string contime                 , "Verbindungszeit: $(2 as duration)"
  string charg1                  , "Gebhren"
  string charg2                  , "Gebhren: $2 Einheit"
  string charg3                  , "Gebhren: $2 Einheiten"
  string sendrecv                , "Sende $5 cps, empfange $4 cps"
  string netmsg                  , "Meldung vom Netz: \"$1\""
  string noerror                 , "Fehler ($(i map line)): Kein Fehler"
  string error                   , "Fehler ($(i map line)): $(1 map err_text)"
  string sysinfo                 , "System-Informationen"
  string device                  , "Gert: $1"
  string firmware                , "Firmwareversion: $(1 tok 0)"
  string sernum                  , "Seriennummer: $1"
  string location                , "Standort: $1"
  string admin                   , "Administrator: $1"
  string datetime                , "Datum und Uhrzeit: $(1 as datetime)"
  string uptime                  , "Betriebszeit: $(1 /100 as duration)"
  string wlancard                , "WLAN-Karte: (nicht vorhanden)"
  string wlancard2               , "WLAN-Karte: $2"
  string wlanfirmware            , "Firmware: $2"
  string wlansernum              , "Seriennummer: $2"
  string wlan                    , "Wireless-LAN"
  string wlanstation             , "Station $2 ($1% Signalstrke)"
  string wan_isdn_old            , "WAN-Interface: ISDN"
  string wan_biz4100             , "WAN-Interfaces: 4 x ISDN"
  string wan_biz6001             , "WAN-Interfaces: ISDN, X.21"
  string wan_biz6011             , "WAN-Interfaces: ISDN, X.21, G.703"
  string wan_biz6021             , "WAN-Interfaces: ISDN, X.21, 2 x G.703"
  string wan_ofc1610             , "WAN-Interface: DSL (Ethernet)"
  string wan_ofc1611             , "WAN-Interfaces: DSL, ISDN"
  string wan_dsl25               , "WAN-Interface: ATM"
  string wan_adsl                , "WAN-Interface: ADSL"
  string s0bus                   , "ISDN: $(1 map dprot)"
  string eth10dsl                , "DSL (Ethernet)"
  string usedprotocol            , "Protokoll: $(1 map dprot)"
  string s0active                , "S0-Bus aktiviert: $(1 select Nein Ja)"
  string teiassigned             , "TEI zugewiesen: $(1 select Nein Ja)"
  string layer2act               , "Layer 2 aktiv: $(1 select Nein Ja)"
  string linkstate               , "Link-Status: $(1 select Down Up)"
  string x21interface            , "X.21-Interface aktiviert: $(1 select Nein Ja)"
  string x21cts                  , "CTS: $(1 select Nein Ja)"
  string x21rts                  , "RTS: $(1 select Nein Ja)"
  string x21clock                , "Taktsignal vorhanden: $(1 select Nein Ja)"
  string g703interface           , "G.703-Interface aktiv: $(1 select Nein Ja)"
  string g703attenuation         , "Leitungsdmpfung: $1"
  string sigpresent              , "Signal vorhanden: $(1 select Nein Ja)"
  string charge1                 , "Gebhren gesamt: $(1 map units)"
  string charge2                 , "Gebhreneinheiten gesamt"
  string chargitem               , "$(i map charge_item): $(1 map units) (Rest: $(3 map units))"
  string router                  , "Router"
  string routerisdn              , "Router (ISDN)"
  string routerdsl               , "Router (DSL)"
  string lancapi                 , "LANCAPI"
  string abport1                 , "a/b Port 1"
  string abport2                 , "a/b Port 2"
  string abport3                 , "a/b Port 3"
  string abport4                 , "a/b Port 4"
  string timesync                , "Zeit-Synchronisation"
  string inet                    , "Internet"
  string totonlinetime1          , "Verbindungszeit gesamt: $(1 map minutes)"
  string totonlinetime2          , "Verbindungszeit gesamt"
  string outmin                  , "$(i map minutes_item) (abgehend): $(1 map minutes)"
  string outminandremain         , "$(i map minutes_item) (abgehend): $(1 map minutes) (Rest: $(3 map minutes))"
  string incmin                  , "$(i map minutes_item) (ankommend): $(1 map minutes)"
  string actbudget               , "&Zustzliches Zeit-Limit freischalten (DSL)"
  string errordisp               , "Fehler:"
  string notreadydisp            , "Nicht bereit"
  string readydisp               , "Bereit"
  string incalldisp              , "Anliegender Ruf"
  string dialdisp                , "Abgehender Ruf"
  string protocoldisp            , "Protokoll"
  string discdisp                , "Abbau"
  string callbackdisp            , "Rckruf"
  string bundledisp              , "$5/B"
  string lancapidisp             , "LANCAPI"
  string abport1disp             , "a/b Port 1"
  string abport2disp             , "a/b Port 2"
  string abport3disp             , "a/b Port 3"
  string abport4disp             , "a/b Port 4"
  string clrerrdisp              , "Fehler &lschen"
  string clrerrondisp            , "Fehler auf $(1 map channel) &lschen"
  string mnudiscdisp             , "&Verbindung trennen"
  string mnudisc1disp            , "&Verbindung zu $1 trennen"
  string askdiskexit             , "Es besteht noch eine Verbindung zu der Gegenstelle \"$1\".\r\rMchten Sie diese Verbindung jetzt trennen?"
  string logdialfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), $(3 -1 select Abgehender Ankommender) Ruf"
  string logcbfmt                , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Rueckruf"
  string logprotfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Protokoll"
  string logconnfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Verbunden"
  string logdiscfmt              , "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Verb. beendet, Gebuehren: $6 Einh., Dauer: $7 Sek."
  string logerrorfmt             , "$1 ($(address)) Fehler aufgetreten auf $(2 map line): $(3 map err_text)"
  string infoconnfmt             , "$1 - $(2 map line)\nVerbunden mit $3"
  string infodiscfmt             , "$1 - $(2 map line)\nVerbindung beendet"
  string logconnabfmt            , "$1 ($(address)) a/b-Port $4 $(3 -1 select -> <-) $5, Verbunden"
  string logdiscabfmt            , "$1 ($(address)) a/b-Port $4 $(3 -1 select -> <-) $5, Verb. beendet, Gebhren: $6 Einh., Dauer: $7 Sek."
  string logconncapi             , "$1 ($(address)) LANCAPI-Client $(4 as ip) $(3 -1 select -> <-) $5, Verbunden"
  string logdisccapi             , "$1 ($(address)) LANCAPI-Client $(4 as ip) $(3 -1 select -> <-) $5, Verb. beendet, Gebhren: $6 Einh., Dauer: $7 Sek."
  string isdn1                   , "ISDN1"
  string isdn2                   , "ISDN2"
  string isdn3                   , "ISDN3"
  string isdn4                   , "ISDN4"
  string line1                   , "Line 1"
  string line2                   , "Line 2"
  string line3                   , "Line 3"
  string line4                   , "Line 4"
  string line5                   , "Line 5"
  string line6                   , "Line 6"
  string line7                   , "Line 7"
  string line8                   , "Line 8"
  string line9                   , "Line 9"
  string line10                  , "Line 10"
  string line11                  , "Line 11"
  string line12                  , "Line 12"
  string line1-1                 , "Line 1-1"
  string line1-2                 , "Line 1-2"
  string line2-1                 , "Line 2-1"
  string line2-2                 , "Line 2-2"
  string line3-1                 , "Line 3-1"
  string line3-2                 , "Line 3-2"
  string line4-1                 , "Line 4-1"
  string line4-2                 , "Line 4-2"
  string dsl                     , "DSL"
  string line                    , "Line"
  string dslline                 , "DSL Line"
  string isdn                    , "ISDN"
  string isdnline1               , "ISDN Line 1"
  string isdnline2               , "ISDN Line 2"
  string x21                     , "X.21"
  string x21line                 , "X.21 Line"
  string g703-1                  , "G.703-1"
  string g703-1line              , "G.703-1 Line"
  string g703-2                  , "G.703-2"
  string g703-2line              , "G.703-2 Line"
  string atm                     , "ATM"
  string ch1                     , "Ch01"
  string ch2                     , "Ch02"
  string ch3                     , "Ch03"
  string ch4                     , "Ch04"
  string ch5                     , "Ch05"
  string ch6                     , "Ch06"
  string ch7                     , "Ch07"
  string ch8                     , "Ch08"
  string ch1-1                   , "Ch1-1"
  string ch1-2                   , "Ch1-2"
  string ch2-1                   , "Ch2-1"
  string ch2-2                   , "Ch2-2"
  string ch3-1                   , "Ch3-1"
  string ch3-2                   , "Ch3-2"
  string ch4-1                   , "Ch4-1"
  string ch4-2                   , "Ch4-2"
  string protdetect              , "Protokoll-Erkennung"
  string eurodss1                , "DSS1 (Euro-ISDN)"
  string 1tr6                    , "1TR6 (Nationales ISDN)"
  string dss1p2p                 , "DSS1 Punkt zu Punkt"
  string grpo                    , "GRP0 (Festverbindung)"
  string euisdnandleasedline     , "DSS1 (Euro-ISDN) und GRP0 (Festverbindung)"
  string oneunit                 , "1 Einheit"
  string units                   , "$(from) Einheiten"
  string oneminute               , "1 Minute"
  string minutes                 , "$(from) Minuten"
  string err_noerr               , "Kein Fehler"
  string err_dialfailure         , "Anwahl abgebrochen"
  string err_chargelimit         , "Gebhren-Limit erreicht"
  string err_nocallingnum        , "Keine Rufnummer angegeben"
  string err_noremotespec        , "Keine Gegenstelle angegeben"
  string err_remotedoubled       , "Gegenstelle doppelt"
  string err_remotelocked        , "Gegenstelle gesperrt"
  string err_nochargeinfo        , "Keine Gebhreninformationen"
  string err_yconnotallowed      , "Mehrere Verbindungen nicht erlaubt"
  string err_dail_failure        , "Anwahl abgebrochen"
  string err_remotebarred        , "Zielrufnummer gesperrt"
  string err_remotebusy          , "Gegenstelle besetzt"
  string err_remotenotresp       , "Gegenstelle antwortet nicht"
  string err_remoteerr           , "Fehler der Gegenstelle"
  string err_connrej             , "Verbindung abgelehnt"
  string err_callnumchanged      , "Rufnummer gendert"
  string err_remotenotready      , "Gegenstelle nicht bereit"
  string err_wrongcallnum        , "Rufnummer falsch"
  string err_loclinebusy         , "Eigene Leitung besetzt"
  string err_remotelinebusy      , "Leitung der Gegenstelle besetzt"
  string err_isdncongestion      , "Engpa im Netz"
  string err_locallinelocked     , "Eigene Leitung gesperrt"
  string err_facnotperm          , "Dienstmerkmal nicht erlaubt"
  string err_servnotenabled      , "Dienst nicht eingerichtet"
  string err_facnotavail         , "Dienstmerkmal nicht eingerichtet"
  string err_incdest             , "Gegenstelle nicht kompatibel"
  string err_failedtoestabd1     , "Aufbau D1 fehlgeschlagen"
  string err_failedtoestabd2     , "Aufbau D2 fehlgeschlagen"
  string err_failedtoestabb1     , "Aufbau B1 fehlgeschlagen"
  string err_failedtoestabb2     , "Aufbau B2 fehlgeschlagen"
  string err_errisdnlayer1       , "Fehler ISDN Layer1"
  string err_abortdued2failure   , "Abbruch wegen D2 Fehler"
  string err_abortdued3failure   , "Abbruch wegen D3 Fehler"
  string err_abortdueb2failure   , "Abbruch wegen B2 Fehler"
  string err_pubexchangenotresp  , "Vermittlungsstelle antwortet nicht"
  string err_facilitynotsupp     , "Dienstmerkmal nicht untersttzt"
  string err_localerr            , "Lokaler Fehler"
  string err_abortduetod3failure , "Abbruch wegen D3 Fehler"
  string err_lcprejected         , "LCP abgelehnt"
  string err_authfailed          , "Authentifizierung fehlgeschlagen"
  string err_authrejected        , "Authentifizierung abgelehnt"
  string err_lcpconerr           , "LCP Verbindungs-Fehler"
  string err_paprej              , "PAP abgelehnt"
  string err_paprecvtimeout      , "PAP Empfangs-Timeout"
  string err_paptranstimeout     , "PAP Sende-Timeout"
  string err_wrongpapreq         , "PAP-Request falsch"
  string err_papnakrecv          , "PAP-NAK empfangen"
  string err_chaprej             , "CHAP abgelehnt"
  string err_chaprecvtimeout     , "CHAP Empfangs-Timeout"
  string err_chaptranstimeout    , "CHAP Sende-Timeout"
  string err_wrongchapresp       , "CHAP-Response falsch"
  string err_chapfailrecv        , "CHAP-Fail empfangen"
  string err_unkownchappeer      , "CHAP Gegenstelle unbekannt"
  string err_ipxcprej            , "IPXCP abgelehnt"
  string err_wrongipxcpnet       , "IPXCP-Netzwerk falsch"
  string err_ipxcpnetrej         , "IPXCP-Netzwerk abgelehnt"
  string err_ipxcprouteunknown   , "IPXCP-Route unbekannt"
  string err_ipcprej             , "IPCP abgelehnt"
  string err_ccprej              , "CCP abgelehnt"
  string err_noncpavail          , "Kein NCP verfgbar"
  string err_timelimitexceeded   , "Zeit-Limit erreicht"
  string err_failedtoestb1       , "Aufbau B1 fehlgeschlagen"
  string err_failedtoestb2       , "Aufbau B2 fehlgeschlagen"
  string err_errdsllayer1        , "Fehler DSL Layer1"
  string err_servnotavail        , "Dienst nicht verfgbar"
  string err_generr              , "Allgemeiner Fehler"
  string err_accconcentincorr    , "Access Concentrator falsch"
  string err_nameofaccconcentinc , "Name des Access Concentrators falsch"
  string err_remoteerror         , "Fehler der Gegenstelle"
  string err_invalidsessid       , "Ungltige Session-ID"
  string err_0xbla               , "Fehler 0x$(from as hex)"
  string vpnconlist              , "VPN-Verbindungen"
  string vpnconinfo              , "VPN-Verbindungen: $(vpn_concnt select Keine)"
  string vpn-connections         , "&VPN-Verbindungen"
  string accounting              , "&Accounting-Informationen"
  string opt_discexit            , "Verbindungen trennen, wenn Windows beendet wird"
  string opt_always              , "Immer"
  string opt_prompt              , "Nach Rckfrage"
  string opt_never               , "Nie"

device dev_base
  childs lancom, vpn, accounting
  plugins vpn, accounting

device dev_elsa : dev_base
  vendor "ELSA"

device dev_siemens : dev_base
  vendor "Siemens"

device dev_ginko : dev_base
  vendor "GINKO"

device dev_wan
  register 450, enter:regmon enter:regmonwan leave:unregmon
  option radiogroup:discexit:1, str.opt_discexit, 32, str.opt_always, str.opt_prompt, str.opt_never

device dev_isdn_disp
  display lancom, display:2, display:3

device dev_isdn4_disp
  display lancom, display:2, display:3, display:5, display:6, display:8, display:9, display:11, display:12

device dev_dsli_disp
  display lancom, display:4, display:5

device lancom_800 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM 800 Office"
  root 1.3.6.1.4.1.2356.400.1.800, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 800 Office"

device lancom_1000 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM 1000 Office"
  root 1.3.6.1.4.1.2356.400.1.1000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 1000 Office"

device lancom_1100 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM 1100 Office"
  root 1.3.6.1.4.1.2356.400.1.1100, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 1100 Office"

device lancom_2000 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM 2000 Office"
  root 1.3.6.1.4.1.2356.400.1.2000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 2000 Office"

device lancom_4000 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Business 4000"
  root 1.3.6.1.4.1.2356.400.1.4000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 4000"

device lancom_4100 : dev_elsa, dev_wan, dev_isdn4_disp
  name "LANCOM Business 4100"
  root 1.3.6.1.4.1.2356.400.1.4100, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 4100"

device lancom_6001 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Business 6001"
  root 1.3.6.1.4.1.2356.400.1.6001, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6001"

device lancom_6011 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Business 6011"
  root 1.3.6.1.4.1.2356.400.1.6011, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6011"

device lancom_6021 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Business 6021"
  root 1.3.6.1.4.1.2356.400.1.6021, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6021"

device lancom_1610 : dev_elsa, dev_wan
  name "LANCOM DSL/1610 Office"
  root 1.3.6.1.4.1.2356.500.2.1610, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/1610 Office"

device lancom_1611 : dev_elsa, dev_wan, dev_dsli_disp
  name "LANCOM DSL/I-1611 Office"
  root 1.3.6.1.4.1.2356.500.2.1611, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/I-1611 Office"

device lancom_dsl10 : dev_elsa, dev_wan
  name "LANCOM DSL/10 Office"
  root 1.3.6.1.4.1.2356.500.2.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/10 Office"

device lancom_dsli10 : dev_elsa, dev_wan, dev_dsli_disp
  name "LANCOM DSL/I-10 Office"
  root 1.3.6.1.4.1.2356.500.2.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/I-10 Office"

device lancom_dsl25 : dev_elsa, dev_wan
  name "LANCOM DSL/25 Office"
  root 1.3.6.1.4.1.2356.500.1.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/25 Office"

device lancom_adsl : dev_elsa, dev_wan
  name "LANCOM ADSL"
  root 1.3.6.1.4.1.2356.500.4.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM ADSL"

device lancom_wrl_l2 : dev_elsa
  name "LANCOM Wireless L-2"
  root 1.3.6.1.4.1.2356.600.2.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-2"

device lancom_wrl_l2_dsl : dev_elsa, dev_wan
  name "LANCOM Wireless L-2 (DSL)"
  root 1.3.6.1.4.1.2356.500.3.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-2"

device lancom_wrl_il2 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Wireless IL-2"
  root 1.3.6.1.4.1.2356.600.1.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-2"

device lancom_wrl_il2_dsl : dev_elsa, dev_wan, dev_dsli_disp
  name "LANCOM Wireless IL-2 (DSL)"
  root 1.3.6.1.4.1.2356.500.3.3, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-2"

device lancom_wrl_l11 : dev_elsa
  name "LANCOM Wireless L-11"
  root 1.3.6.1.4.1.2356.600.2.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-11"

device lancom_wrl_l11_dsl : dev_elsa, dev_wan
  name "LANCOM Wireless L-11 (DSL)"
  root 1.3.6.1.4.1.2356.500.3.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-11"

device lancom_wrl_il11 : dev_elsa, dev_wan, dev_isdn_disp
  name "LANCOM Wireless IL-11"
  root 1.3.6.1.4.1.2356.600.1.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-11"

device lancom_wrl_il11_dsl : dev_elsa, dev_wan, dev_dsli_disp
  name "LANCOM Wireless IL-11 (DSL)"
  root 1.3.6.1.4.1.2356.500.3.4, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-11"

device microlink_webgate : dev_elsa, dev_wan, dev_isdn_disp
  name "MicroLink ISDN 4U"
  root 1.3.6.1.4.1.2356.400.1.1101, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "MicroLink ISDN 4U"

function regmon
  set 1.2.9.5, "*:* * 1"

function unregmon
  set 1.2.9.6, "*"

function regmonwan
  set 1.2.9.5, "*:* W 1"

plugin vpn
  uses 1.2.19.8.0, 1.1.26.11.1

item vpn
  uses 1.2.19.8.0
  states ($1 != 0 && $1 != "")
  image 9
  flags hide
  refresh time:100
  action 0, menuex:vpn

function vpn
  text str.vpn-connections
  execplugin vpn, OpenView

plugin accounting
  uses 1.2.18.1.0, 1.2.18.4.1, 1.2.18.5.1, 1.2.18.6

item accounting
  uses 1.2.18.1.0
  states ($1 != 0 && $1 != "")
  text "Accounting enabled: No", "Accounting enabled: Yes"
  action 0, menuex:accounting
  refresh time:100
  flags hide
  image 9

function accounting
  text str.accounting
  execplugin accounting

item lancom
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "$(name)", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs vpn_coninfo, sysinfo 

item<lancom_800,lancom_1000,lancom_1100,lancom_2000> lancom : lancom
  childs line:2, line:3, error:1, <inherited> 

item<lancom_4000> lancom : lancom
  childs line:2, line:3, error:1, <inherited> 

item<lancom_4100> lancom : lancom
  childs line:2, line:3, error:1, line:5, line:6, error:4, line:8, line:9, error:7, line:11, line:12, error:10, <inherited> 

item<lancom_6001> lancom : lancom
  childs line:2, line:3, error:1, line:5, error:4, <inherited> 

item<lancom_6011> lancom : lancom
  childs line:2, line:3, error:1, line:5, error:4, line:7, error:6, <inherited> 

item<lancom_6021> lancom : lancom
  childs line:2, line:3, error:1, line:5, error:4, line:7, error:6, line:9, error:8, <inherited> 

item<lancom_1610> lancom : lancom
  childs line:2, error:1, <inherited> 

item<lancom_1611> lancom : lancom
  childs line:2, error:1, line:4, line:5, error:3, <inherited> 

item<lancom_dsl10> lancom : lancom
  childs line:2, error:1, <inherited> 

item<lancom_dsli10> lancom : lancom
  childs line:2, error:1, line:4, line:5, error:3, <inherited> 

item<lancom_dsl25> lancom : lancom
  childs line:2, line:3, line:4, line:5, line:6, line:7, line:8, line:9, line:10, line:11, line:12, line:13, error:1, <inherited> 

item<lancom_adsl> lancom : lancom
  childs line:2, error:1, <inherited> 

item<i_gate> lancom : lancom
  childs line:2, line:3, error:1, <inherited> 

item<lancom_wrl_i11> lancom : lancom
  childs line:2, line:3, error:1, wlan, <inherited> 

item<lancom_wrl_l2,lancom_wrl_l11,i_gate_l2> lancom : lancom
  childs wlan, <inherited> 

item<lancom_wrl_l2_dsl,lancom_wrl_l11_dsl> lancom : lancom
  childs line:2, error:1, wlan, <inherited> 

item<lancom_wrl_il2,lancom_wrl_il11> lancom : lancom
  childs line:2, line:3, error:1, wlan, <inherited> 

item<lancom_wrl_il2_dsl,lancom_wrl_il11_dsl> lancom : lancom
  childs line:2, error:1, line:4, line:5, error:3, wlan, <inherited> 

item<microlink_webgate> lancom : lancom
  childs line:2, line:3, error:1, <inherited> 

item line
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.7.$I, 1.1.19.1.8.$I, 1.1.19.1.11.$I
  states \ 
    (($1 >> 24 & 0xFF) <= 0x01),                        \ 
    (($1 >> 24 & 0xFF) == 0x02 && ($(4 map err) == 0 || ($(details) & 0x01) == 0)),\ 
    (($1 >> 24 & 0xFF) == 0x04 && $2 == 1 && $6 != ""), \ 
    (($1 >> 24 & 0xFF) == 0x04 && $5 != ""),            \ 
    (($1 >> 24 & 0xFF) == 0x04),                        \ 
    (($1 >> 16 & 0xFFFF) == 0x0304 && $2 == 1),         \ 
    (($1 >> 16 & 0xFFFF) == 0x0309 && $2 == 1),         \ 
    (($1 >> 24 & 0xFF) == 0x03 && $5 != ""),            \ 
    (($1 >> 24 & 0xFF) == 0x03),                        \ 
    (($1 >> 16 & 0xFF) == 0x05),                        \ 
    (($1 >> 16 & 0xFF) == 0x04),                        \ 
    (($1 >> 16 & 0xFF) == 0x06 && $2 == 1 && $3 == 2),  \ 
    (($1 >> 16 & 0xFF) == 0x06 && $2 == 1),             \ 
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1 && $3 == 3),  \ 
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1 && $3 == 2),  \ 
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1),             \ 
    (($1 >> 16 & 0xFF) == 0x08 && $2 == 1 && $3 == 2),  \ 
    (($1 >> 16 & 0xFF) == 0x08 && $2 == 1),             \ 
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1 && $3 == 3),  \ 
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1 && $3 == 2),  \ 
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1),             \ 
    (($1 >> 24 & 0xFF) == 0x05 && $5 != "" && $3 == 2), \ 
    (($1 >> 24 & 0xFF) == 0x05 && $5 != ""),            \ 
    (($1 >> 24 & 0xFF) == 0x05 && $3 == 2),             \ 
    (($1 >> 24 & 0xFF) == 0x05),                        \ 
    (($1 >> 24 & 0xFF) == 0x06 && $3 == 2),             \ 
    (($1 >> 24 & 0xFF) == 0x06)                           
  text \ 
    "$(i map line): $(4 map err_text)",\                  
    "$(i map line): " str.notready,\                      
    "$(i map line): " str.ready,\                         
    "$(i map line): " str.incall6,\                       
    "$(i map line): " str.incall5,\                       
    "$(i map line): " str.incall,\                        
    "$(i map line): " str.outcall6,\                      
    "$(i map line): " str.callback6,\                     
    "$(i map line): " str.outcall5,\                      
    "$(i map line): " str.outcall,\                       
    "$(i map line): " str.incall6,\                       
    "$(i map line): " str.outcall6,\                      
    "$(i map line): " str.protneg6, #,\                   
    "$(i map line): " str.leasedline6,\                   
    "$(i map line): " str.conto6, #,\                     
    "$(i map line): " str.disc, #,\                       
    "$(i map line): " str.bundled6,\                      
    "$(i map line): " str.chanbundling6, #,\              
    "$(i map line): " str.conto5, #,\                     
    "$(i map line): " str.connected, #,\                  
    "$(i map line): " str.disc, #                         
  image 4, 20, 3, 6, 6, 6, 5, 5, 5, 5, 6, 5, 6, 5, 7, 8, 7, 6, 5, 7, 8, 7, 8, 7, 8, 7, 6, 5
  action menudef:clrerr:$I:0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, menudef:disc:$6, #, menudef:disc:$6, menudef:disc:$6, #, 0, 0, menudef:disc:$6, menudef:disc:$6, #, 0, 0, 0, 0, 0, 0
  flags error, 0, 0, connect, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #
  childs capi_client:$I, ab_port:$I, prot:$I, vpn_concnt:$I, vpn_conupd:$I, line_contime:$I, line_charge:$I, line_cps:$I, line_log_con:$I, line_log_ab:$I, line_log_capi:$I, line_msg:$I, line_discexit:$I

item capi_client
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I
  states (($1 >> 24 & 0xFF) >= 0x03 && $2 == 2 && $3 > 0)
  text str.lcapi
  image 14
  flags hide, 0

item ab_port
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I
  states \ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x01),\ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x02),\ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x04),\     
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x08)
  text \ 
    str.abport,\ 
    str.abportnum1,\ 
    str.abportnum2,\ 
    str.abportnum3,\ 
    str.abportnum4
  image 12
  flags hide, 0, 0, 0, 0

item prot
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I, 1.1.15.1.4.$3
  states \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 == 0), \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 >= 4 && $4 <= 7), \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 >= 8)
  text str.protocol, str.protelsa, str.protppp, str.prottrans
  image 16
  flags hide, 0, 0, 0
  childs prot_opt:$3, prot_ipcp:$3, prot_ipxcp:$3

item prot_opt
  uses 1.1.15.1.6.$I
  states ($1 == 0), ($1 == 1), ($1 == 2)
  text str.nooptions, str.optcompr, str.optchanbundle, str.optbundleandcompr
  image 16
  flags hide, 0, 0, 0

item prot_ipcp
  uses 1.1.6.1.1.4.$I
  states ($1 == 0x0A)
  text str.netprottcp
  image 16
  flags hide, 0
  childs prot_ipcp_rx_addr:$I, prot_ipcp_rx_dns:$I, prot_ipcp_rx_nbns:$I, prot_ipcp_tx_addr:$I, prot_ipcp_tx_dns:$I, prot_ipcp_tx_nbns:$I

item prot_ipcp_rx_addr
  uses 1.1.6.8.3.1.2.$I
  states ($1 != "0.0.0.0")
  text str.ownip
  image 16
  flags hide, 0

item prot_ipcp_rx_dns
  uses 1.1.6.8.3.1.3.$I
  states ($1 != "0.0.0.0")
  text str.owndns
  image 16
  flags hide, 0

item prot_ipcp_rx_nbns
  uses 1.1.6.8.3.1.4.$I
  states ($1 != "0.0.0.0")
  text str.ownnbns
  image 16
  flags hide, 0

item prot_ipcp_tx_addr
  uses 1.1.6.9.3.1.2.$I
  states ($1 != "0.0.0.0")
  text str.remoteip
  image 16
  flags hide, 0

item prot_ipcp_tx_dns
  uses 1.1.6.9.3.1.3.$I
  states ($1 != "0.0.0.0")
  text str.remotedns
  image 16
  flags hide, 0

item prot_ipcp_tx_nbns
  uses 1.1.6.9.3.1.4.$I
  states ($1 != "0.0.0.0")
  text str.remotenbns
  image 16
  flags hide, 0

item prot_ipxcp
  uses 1.1.6.1.1.5.$I
  states ($1 == 0x0A)
  text str.netprot
  image 16
  flags hide, 0
  childs prot_ipxcp_routing:$I, prot_ipxcp_wanaddr:$I, prot_ipxcp_rx_addr:$I, prot_ipxcp_tx_addr:$I

item prot_ipxcp_routing
  uses 1.1.6.8.2.1.4.$I
  states ($1 != 0)
  text str.routemethod
  image 16
  flags hide, 0

item prot_ipxcp_wanaddr
  uses 1.1.6.8.2.1.2.$I
  states ($(1 hex as int) != 0)
  text str.wannet
  image 16
  flags hide, 0

item prot_ipxcp_rx_addr
  uses 1.1.6.8.2.1.3.$I
  states ($(1 hex as int) != 0)
  text str.ownnodeid
  image 16
  flags hide, 0

item prot_ipxcp_tx_addr
  uses 1.1.6.9.2.1.3.$I
  states ($(1 hex as int) != 0)
  text str.remotenodeid
  image 16
  flags hide, 0

item vpn_concnt
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I
  states ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && (($1 >> 8 & 0x7F) > 1) && $2 == 1)
  term vpn_concnt, ($1 >> 8 & 0x7F) - (($1 >> 8 & 0x7F) > 0) / (1 == 1)
  text str.vpnconinfo
  image 9
  flags hide, 0

item vpn_conupd
  uses 1.1.19.1.4.$I
  states (($1 >> 8 & 0x80) == 0x80)
  flags hide
  action enter:vpn_conupd1 enter:vpn_conupd2

function vpn_conupd1
  execplugin vpn, RefreshView

function vpn_conupd2
  setevent vpn_conupd

item line_contime
  uses 1.1.19.1.4.$I, 1.1.19.1.12.$I
  states (($1 >> 24 & 0xFF) == 0x05)
  text str.contime
  image 9
  flags hide, 0
  refresh 0, time:50

item line_charge
  uses 1.1.19.1.4.$I, 1.1.19.1.10.$I
  states (($1 >> 24 & 0xFF) == 0x05 && $2 == 1), (($1 >> 24 & 0xFF) == 0x05 && $2 > 1)
  text str.charg1, str.charg2, str.charg3
  image 9
  flags hide, 0, 0

item line_cps
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I, 1.1.4.8.1.4.$3, 1.1.4.8.1.5.$3
  states ($2 == 1 && (($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A))
  text str.sendrecv
  image 9
  flags hide, 0
  refresh 0, time:50

item line_msg
  uses 1.1.19.1.14.$I
  states ($(details) & 0x02 && $1 != "")
  text str.netmsg
  image 9
  flags hide, 0

item line_discexit
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.11.$I
  term connected, (($1 >> 24 & 0xFF) == 0x05 && $2 == 1 && (($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $3 != 3)
  states ($(discexit) == 1 && $(connected)), ($(discexit) == 0 && $(connected))
  flags hide
  action 0, exit:disc_exit:$4, exit:disc:$4

function disc
  text str.mnudiscdisp
  set 1.2.2.13.2, "$1"

function<microlink_webgate> disc
  text str.mnudiscdisp
  set 1.4.1.2, "$1"

function disc_disp
  text str.mnudisc1disp
  set 1.2.2.13.2, "$1"

function<microlink_webgate> disc_disp
  text str.mnudisc1disp
  set 1.4.1.2, "$1"

function disc_exit
  query 0x21, str.askdiskexit
  set 1.2.2.13.2, "$1"

function<microlink_webgate> disc_exit
  query 0x21, str.askdiskexit
  set 1.4.1.2, "$1"

item error
  uses 1.1.19.1.7.$I
  states ($(1 map err) && ($(details) & 0x01))
  text str.noerror, str.error
  image 10
  action menudef:clrerr:$I:0
  flags hide, error

item vpn_coninfo
  uses 1.1.26.11.1.15.1
  states ($1 == 1)
  text str.vpnconlist
  image 30
  flags hide, 0
  refresh event:vpn_conupd
  childs vpn_coninfo_list

item vpn_coninfo_list
  uses 1.1.26.11.1.1.$I, 1.1.26.11.1.2.$I, 1.1.26.11.1.11.$I, 1.1.26.11.1.12.$I
  states ($3 == 0x04), ($3 == 0x05), \ 
    ($3 == 0x06 && $4 != 0), ($3 == 0x06 && $4 == 0), \ 
    ($3 == 0x07 && $4 != 0), ($3 == 0x07 && $4 == 0), \ 
    ($3 == 0x08 && $4 != 0), ($3 == 0x08 && $4 == 0)
  text 0, str.vpn_callout, str.vpn_callin, str.vpn_protocol, #, str.vpn_connected, #, str.vpn_disconnect, #
  image 0, 25, 26, 25, 26, 27, 28, 25, 26
  flags hide, clone, clone, clone, clone, clone, clone, clone, clone
  action 0, menudef:disc:$1, #, #, #, #, #
  refresh event:vpn_conupd

item sysinfo
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device

item<lancom_800,lancom_1000,lancom_1100,lancom_2000,lancom_4000> sysinfo : sysinfo
  childs <inherited>, wan_isdn_old, charge, minutes

item<lancom_4100> sysinfo : sysinfo
  childs <inherited>, wan_biz4100, charge, minutes

item<lancom_6001> sysinfo : sysinfo
  childs <inherited>, wan_biz6001, charge, minutes

item<lancom_6011> sysinfo : sysinfo
  childs <inherited>, wan_biz6011, charge, minutes

item<lancom_6021> sysinfo : sysinfo
  childs <inherited>, wan_biz6021, charge, minutes

item<lancom_1610> sysinfo : sysinfo
  childs <inherited>, wan_ofc1610, minutes

item<lancom_1611> sysinfo : sysinfo
  childs <inherited>, wan_ofc1611, charge, minutes_dsli10

item<lancom_dsl10> sysinfo : sysinfo
  childs <inherited>, wan_dsl10, minutes

item<lancom_dsli10> sysinfo : sysinfo
  childs <inherited>, wan_dsli10, charge, minutes_dsli10

item<lancom_dsl25> sysinfo : sysinfo
  childs <inherited>, wan_dsl25, minutes 

item<lancom_adsl> sysinfo : sysinfo
  childs <inherited>, wan_adsl, minutes

item<i_gate> sysinfo : sysinfo
  childs <inherited>, wan_isdn_old, wlan2, charge, minutes

item<lancom_wrl_i11> sysinfo : sysinfo
  childs <inherited>, pcmcia, wan_isdn_old, charge, minutes

item<lancom_wrl_l2,lancom_wrl_l11,i_gate_l2> sysinfo : sysinfo
  childs <inherited>, pcmcia

item<lancom_wrl_l2_dsl,lancom_wrl_l11_dsl> sysinfo : sysinfo
  childs <inherited>, pcmcia, wan_wrl_lan_dsl, minutes

item<lancom_wrl_il2,lancom_wrl_il11> sysinfo : sysinfo
  childs <inherited>, pcmcia, wan_isdn_old, charge, minutes

item<lancom_wrl_il2_dsl,lancom_wrl_il11_dsl> sysinfo : sysinfo
  childs <inherited>, pcmcia, wan_wrl_ilan_dsl, charge, minutes_dsli10

item<microlink_webgate> sysinfo : sysinfo
  childs <inherited>, wan_isdn_old, charge, minutes

item device
  uses 1.3.1.1.2.1
  text str.device
  image 2
  refresh time:100
  childs dev_version, dev_serialnumber, dev_location, dev_admin, dev_systime, dev_uptime

item dev_version
  uses 1.3.1.1.3.1
  text str.firmware
  image 9
  refresh time:100

item dev_serialnumber
  uses 1.3.1.1.4.1
  text str.sernum
  image 9
  refresh time:100

item dev_location
  uses 1.2.9.4.0
  states ($1 != "")
  text str.location
  image 9
  flags hide, 0
  refresh time:100

item dev_admin
  uses 1.2.9.3.0
  states ($1 != "")
  text str.admin
  image 9
  flags hide, 0
  refresh time:100

item dev_systime
  uses 1.2.14.7.0
  states ($1 != "" && $1 != "0")
  text str.datetime
  image 9
  flags hide, 0
  refresh time:100

item dev_uptime
  uses 2.1.3.0
  text str.uptime
  image 9
  refresh time:100

item pcmcia
  uses 1.1.30.1.0, 1.1.30.3.0
  states ($1 == 1)
  text str.wlancard, str.wlancard2
  image 22, 21
  refresh time:100
  childs pcmcia_version, pcmcia_serialnumber

item pcmcia_version
  uses 1.1.30.1.0, 1.1.30.2.0
  states ($1 == 1)
  text str.wlanfirmware
  image 9
  flags hide, 0
  refresh time:100

item pcmcia_serialnumber
  uses 1.1.30.1.0, 1.1.30.4.0
  states ($1 == 1 && $2 != "")
  text str.wlansernum
  image 9
  flags hide, 0
  refresh time:100

item wan_isdn_old
  text str.wan_isdn_old
  image 16
  childs s0protocol_old:1, s0active_old:1, s0tei_old:1, s0layer2_old:1

item wan_ofc1610
  text str.wan_ofc1610
  image 16
  childs eth10linkstate1

item wan_ofc1611
  text str.wan_ofc1611
  image 16
  childs eth10status, s0status:2

item wan_dsl10
  text str.wan_ofc1610
  image 16
  childs eth10linkstate1

item wan_dsli10
  text str.wan_ofc1611
  image 16
  childs eth10status, s0status_old:2

item wan_dsl25
  text str.wan_dsl25
  image 16
  childs atmstatus

item wan_wrl_lan_dsl
  text str.wan_ofc1610
  image 16
  childs eth10linkstate1

item wan_wrl_ilan_dsl
  text str.wan_ofc1611
  image 16
  childs eth10status, s0status_old:2

item wan_biz4100
  text str.wan_biz4100
  image 16
  childs s0status_old:1, s0status_old:2, s0status_old:3, s0status_old:4

item wan_biz6001
  text str.wan_biz6001
  image 16
  childs s0status:1, x21status:2

item wan_biz6011
  text str.wan_biz6011
  image 16
  childs s0status:1, x21status:2, g703status:3

item wan_biz6021
  text str.wan_biz6021
  image 16
  childs s0status:1, x21status:2, g703status:3, g703status:4

item wan_adsl
  text str.wan_adsl
  image 16
  childs atmstatus

item s0status_old
  uses 1.1.23.1.1.2.$I, 1.1.23.1.1.3.$I, 1.1.23.1.1.4.$I, 1.1.23.1.1.5.$I
  states ($1 == 0), ($1 == 1), ($1 == 2), ($1 == 4), ($1 == 16)
  text str.s0bus
  image 16
  refresh time:100
  flags hide, 0, 0, 0, 0, 0
  childs s0active_old:$I, s0tei_old:$I, s0layer2_old:$I

item s0protocol_old
  uses 1.1.23.1.1.2.$I
  text str.usedprotocol
  image 16
  refresh time:100

item s0active_old
  uses 1.1.23.1.1.5.$I
  text str.s0active
  image 16
  refresh time:100

item s0tei_old
  uses 1.1.23.1.1.4.$I
  text str.teiassigned
  image 16
  refresh time:100

item s0layer2_old
  uses 1.1.23.1.1.3.$I
  text str.layer2act
  image 16
  refresh time:100

item s0status
  uses 1.1.33.3.3.1.1.2.$I
  text str.s0bus
  image 16
  refresh time:100
  childs s0active:$I, s0tei:$I, s0layer2:$I

item s0protocol
  uses 1.1.33.3.3.1.1.2.$I
  text str.usedprotocol
  image 16
  refresh time:100

item s0active
  uses 1.1.33.3.3.1.1.5.$I
  text str.s0active
  image 16
  refresh time:100

item s0tei
  uses 1.1.33.3.3.1.1.4.$I
  text str.teiassigned
  image 16
  refresh time:100

item s0layer2
  uses 1.1.33.3.3.1.1.3.$I
  text str.layer2act
  image 16
  refresh time:100

item x21status
  uses 1.1.33.1.3.1.2.$I
  text str.x21interface
  image 16
  refresh time:100
  childs x21cts:$I, x21rts:$I, x21clock:$I

item x21cts
  uses 1.1.33.1.3.1.3.$I
  text str.x21cts
  image 16
  refresh time:100

item x21rts
  uses 1.1.33.1.3.1.4.$I
  text str.x21rts
  image 16
  refresh time:100

item x21clock
  uses 1.1.33.1.3.1.5.$I
  text str.x21clock
  image 16
  refresh time:100

item g703status
  uses 1.1.33.1.4.1.2.$I
  text str.g703interface
  image 16
  refresh time:100
  childs g703attenuation:$I

item g703attenuation
  uses 1.1.33.1.4.1.3.$I
  text str.g703attenuation
  image 16
  refresh time:100

item eth10status
  text str.eth10dsl
  image 16
  childs eth10linkstate2

item eth10linkstate1
  uses 1.1.23.14.0
  text str.linkstate
  image 16
  refresh time:100

item eth10linkstate2
  uses 1.1.25.14.0
  text str.linkstate
  image 16
  refresh time:100

item atmstatus
  uses 1.1.22.1.1.0
  text str.sigpresent
  image 16
  refresh time:100

item wlan
  text str.wlan
  image 23
  childs wlanstation

item wlanstation
  uses 1.1.3.32.1.3.$I, 1.1.3.32.1.9.$I, 1.1.3.32.1.10.$I
  states ($2 != "" && $3 != 3), ($2 != "")
  text str.wlanstation
  image 24, 24, 14
  flags hide, clone, clone
  refresh time:50

item wlan2
  text str.wlan
  image 16
  childs \ 
    wlanstation2:1, wlanstation2:2, wlanstation2:3, wlanstation2:4, \ 
    wlanstation2:5, wlanstation2:6, wlanstation2:7, wlanstation2:8, \ 
    wlanstation2:9, wlanstation2:10, wlanstation2:11, wlanstation2:12, \ 
    wlanstation2:13, wlanstation2:14, wlanstation2:15, wlanstation2:16

item wlanstation2
  uses 1.1.5.32.1.3.$I, 1.1.5.32.1.9.$I
  states ($2 != "")
  text str.wlanstation
  image 14
  flags hide, 0
  refresh time:100

item charge
  uses 1.2.3.6.0
  states ($1 == "")
  text str.charge1, str.charge2
  image 17
  refresh time:50
  childs charge_item:1, charge_item:2, charge_item:255

item<lancom_2000> charge : charge
  childs charge_item:1, charge_item:2, charge_item:3, charge_item:4, charge_item:5, charge_item:6, charge_item:255

item<microlink_webgate> charge : charge
  childs charge_item:1, charge_item:2

item charge_item
  uses 1.2.3.5.1.4.$I, 1.2.3.5.1.2.$I, 1.2.3.5.1.3.$I
  states ($2 > 0)
  text "$(i map charge_item): $(1 map units)", str.chargitem
  image 18
  refresh time:50

map charge_item
  from "1", "2", "3", "4", "5", "6", "255"
  to str.router, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync

map<lancom_dsli10> charge_item
  from "1", "2", "3", "4", "5", "6", "255"
  to str.routerisdn, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync

map<microlink_webgate> charge_item
  from "1", "2", "3", "4", "5", "6", "255"
  to str.inet, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync

item minutes
  uses 1.2.3.10.0
  states ($1 == "")
  text str.totonlinetime1, str.totonlinetime2
  image 19
  refresh time:50
  childs minutes_item:1, minutes_passive:1

item minutes_dsli10
  text str.totonlinetime2
  image 19
  action menudef:activate_budget
  childs minutes_item:1, minutes_item:2, minutes_passive:2

item minutes_item
  uses 1.2.3.7.1.4.$I, 1.2.3.7.1.2.$I, 1.2.3.7.1.3.$I
  states ($2 > 0)
  text str.outmin, str.outminandremain
  image 19
  refresh time:50

item minutes_passive
  uses 1.2.3.7.1.5.$I
  states ($1 == "")
  text str.incmin
  flags 0, hide
  image 19
  refresh time:50

map minutes_item
  from "1"
  to str.router

map<lancom_1611,lancom_dsli10,lancom_wrl_il2_dsl,lancom_wrl_il11_dsl> minutes_item
  from "1", "2"
  to str.routerdsl, str.routerisdn

map<microlink_webgate> minutes_item
  from "1"
  to str.inet

function activate_budget
  text str.actbudget
  set 1.2.3.12, 0

item display
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.7.$I, 1.1.19.1.9.$I, 1.1.19.1.11.$I, 1.1.19.1.8.$I, 1.1.19.1.7.$(I -1), 1.1.19.1.7.$(I -2)
  states \ 
    (($I % 3) != 0 && $(7 map err) != 0 && ($(details) & 0x01)),\ 
    (($I % 3) == 0 && $(8 map err) != 0 && ($(details) & 0x01)),\ 
    (($1 >> 24 & 0xFF) <= 0x01),                      \ 
    (($1 >> 24 & 0xFF) == 0x02 && ($(3 map err) == 0 || ($(details) & 0x01) == 0)), \ 
    (($1 >> 24 & 0xFF) == 0x02),                      \ 
    (($1 >> 24 & 0xFF) == 0x04),                      \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x05),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x04),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x06),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x07),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x08),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x09),           \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x0A),           \ 
    ($2 == 2 && ($1 >> 24 & 0xFF) >= 0x03),           \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x01),\ 
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x02),\ 
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x04),\ 
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x08),\ 
    (($1 >> 24 & 0xFF) >= 0x03)                            
  text \ 
    "$(i map channel):",\ 
    str.errordisp, "$(8 map err_text)",\           
    "$(i map channel): " str.notreadydisp,\        
    "$(i map channel): " str.readydisp,\           
    "$(i map channel): $(3 map err_text)",\        
    "$(i map channel): " str.incalldisp, #,\       
    "$(i map channel): " str.dialdisp,\            
    "$(i map channel): " str.protocoldisp,\        
    "$(i map channel): $5",\                       
    "$(i map channel): " str.discdisp,\            
    "$(i map channel): " str.callbackdisp,\        
    "$(i map channel): " str.bundledisp,\          
    "$(i map channel): " str.lancapidisp,\         
    "$(i map channel): " str.abport1disp,\         
    "$(i map channel): " str.abport2disp,\         
    "$(i map channel): " str.abport3disp,\         
    "$(i map channel): " str.abport4disp,\         
    "$(i map channel): $6"                         
   action 0, menu:clrerr_disp:$(I -1):0, 0, 0, 0, menu:clrerr_disp:$I:0, 0, 0, 0, menu:disc_disp:$5, #, 0, 0, menu:disc_disp:$5
   flags 0, flash, #, 0, 0, flash

function clrerr
  text str.clrerrdisp
  set 1.1.19.1.7.$1, "$2"

function clrerr_disp
  text str.clrerrondisp
  set 1.1.19.1.7.$1, "$2"

item line_log_con
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.11.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.1.19.1.7.$I, 1.2.1.0
  states \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x04),\  
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x05),\  
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x09),\  
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x06),\  
    ($2 == 1 && (($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) || ($1 >> 16 & 0xFF) == 0x08))),\ 
    ($2 == 1 && $(8 map err))
  action 0,\ 
    enter:log_dial:$9:$I:$3:$5:$4,\ 
    enter:log_dial:$9:$I:$3:$5:$4,\ 
    enter:log_cb:$9:$I:$3:$5:$4,\ 
    enter:log_prot:$9:$I:$3:$5:$4,\ 
    enter:log_conn:$9:$I:$3:$5:$4 enter:info_conn:$9:$I:$5 leave:log_disc:$9:$I:$3:$5:$4:$6:$7 leave:info_disc:$9:$I,\ 
    enter:log_error:$9:$I:$8
  flags hide

function log_dial
  log 0x01, str.logdialfmt

function log_cb
  log 0x01, str.logcbfmt

function log_prot
  log 0x01, str.logprotfmt

function log_conn
  log 0x01, str.logconnfmt

function log_disc
  log 0x01, str.logdiscfmt

function log_error
  log 0x01, str.logerrorfmt

function info_conn
  infotip 1, str.infoconnfmt

function info_disc
  infotip 1, str.infodiscfmt

item line_log_ab
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.9.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.2.1.0
  states \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x01), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x02), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x04), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x08)
  action 0, \ 
    enter:log_conn_ab:$8:$I:$3:1:$4 leave:log_disc_ab:$8:$I:$3:1:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:2:$4 leave:log_disc_ab:$8:$I:$3:2:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:3:$4 leave:log_disc_ab:$8:$I:$3:3:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:4:$4 leave:log_disc_ab:$8:$I:$3:4:$4:$6:$7
  flags hide

function log_conn_ab
  log 0x02, str.logconnabfmt

function log_disc_ab
  log 0x02, str.logdiscabfmt

item line_log_capi
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.9.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.2.1.0
  states ($2 == 2 && ($1 >> 24 & 0xFF) == 0x05)
  action 0, enter:log_conn_capi:$8:$I:$3:$5:$4 leave:log_disc_capi:$8:$I:$3:$5:$4:$6:$7
  flags hide

function log_conn_capi
  log 0x04, str.logconncapi

function log_disc_capi
  log 0x04, str.logdisccapi

map line
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.line1, str.line2, str.isdn2, str.line3, str.line4, str.isdn3, str.line5, str.line6, str.isdn4, str.line7, str.line8

map<lancom_4000,lancom_4100> line
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.line1-1, str.line1-2, str.isdn2, str.line2-1, str.line2-2, str.isdn3, str.line3-1, str.line3-2, str.isdn4, str.line4-1, str.line4-2

map<lancom_6001,lancom_6011,lancom_6021> line
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.isdnline1, str.isdnline2, str.x21, str.x21line, str.g703-1, str.g703-1line, str.g703-2, str.g703-2line

map<lancom_1610,lancom_dsl10,lancom_wrl_l2_dsl,lancom_wrl_l11_dsl> line
  from 1, 2
  to str.dsl, str.line

map<lancom_1611,lancom_dsli10,lancom_wrl_il2_dsl,lancom_wrl_il11_dsl> line
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.isdnline1, str.isdnline2

map<lancom_dsl25> line
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13
  to str.atm, str.line1, str.line2, str.line3, str.line4, str.line5, str.line6, str.line7, str.line8, str.line9, str.line10, str.line11, str.line12

map channel
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.ch1, str.ch2, str.isdn2, str.ch3, str.ch4, str.isdn3, str.ch5, str.ch6, str.isdn4, str.ch7, str.ch8

map<lancom_4000,lancom_4100> channel
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.ch1-1, str.ch1-2, str.isdn2, str.ch2-1, str.ch2-2, str.isdn3, str.ch3-1, str.ch3-2, str.isdn4,str.ch4-1, str.ch4-2

map<lancom_1611,lancom_dsli10,lancom_wrl_il2_dsl,lancom_wrl_il11_dsl> channel
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.ch1, str.ch2

map dprot
  from 0, 1, 2, 4, 16, 17
  to str.protdetect, str.eurodss1, str.1tr6, str.dss1p2p, str.grpo, str.euisdnandleasedline

map units
  from 1
  to str.oneunit, str.units

map minutes
  from 1
  to str.oneminute, str.minutes

map err
  from 0x0000, 0x0010, 0x001F, 0x8050, 0x330A, 0x330C, 0x3500
  to 0, 0, 0, 0, 0, 0, 0

map err_text
  from \ 
    0x0000, 0x0010, 0x001F, 0x330A, 0x330C, 0x3500, \ 
    0x0101, 0x0108, 0x0109, 0x010A, 0x010B, 0x010C, \ 
    0x010F, 0x0110, 0x0001, 0x0003, 0x0011, 0x0012, \ 
    0x0013, 0x0015, 0x0016, 0x001B, 0x001C, 0x0022, \ 
    0x0029, 0x002A, 0x002C, 0x0032, 0x003F, 0x0045, \ 
    0x004F, 0x0058, 0x0081, 0x0082, 0x0083, 0x0084, \ 
    0x0085, 0x0086, 0x0087, 0x0089, 0x008B, 0x008C, \ 
    0x008D, 0x0090, 0x00AF, 0x00D1, 0x00EF, 0x8000, \ 
    0x8001, 0x8002, 0x8003, 0x8010, 0x8011, 0x8012, \ 
    0x8013, 0x8014, 0x8020, 0x8021, 0x8022, 0x8023, \ 
    0x8024, 0x8025, 0x8030, 0x8031, 0x8032, 0x8033, \ 
    0x8040, 0x8050, 0x80F0, 0x0111, 0x3303, 0x3304, \ 
    0x3308, 0x330B, 0x330D, 0x3385, 0x0201, 0x0202, \ 
    0x0203, 0x0401, 0x0402, 0x0403, 0x0404, 0x0405, \ 
    0x0406
  to \ 
    str.err_noerr, #, #, #, #, #,     str.err_dialfailure,          str.err_chargelimit,         \ 
    str.err_nocallingnum,         str.err_noremotespec,        \ 
    str.err_remotedoubled,        str.err_remotelocked,        \ 
    str.err_nochargeinfo,         str.err_yconnotallowed,      \ 
    str.err_dail_failure,         str.err_remotebarred,        \ 
    str.err_remotebusy,           str.err_remotenotresp,       \ 
    str.err_remoteerr,            str.err_connrej,             \ 
    str.err_callnumchanged,       str.err_remotenotready,      \ 
    str.err_wrongcallnum,         str.err_loclinebusy,         \ 
    str.err_remotelinebusy,       str.err_isdncongestion,      \ 
    str.err_locallinelocked,      str.err_facnotperm,          \ 
    str.err_servnotenabled,       str.err_facnotavail,         \ 
    str.err_servnotavail,         str.err_incdest,             \ 
    str.err_failedtoestabd1,      str.err_failedtoestabd2,     \ 
    str.err_failedtoestabb1,      str.err_failedtoestabb2,     \ 
    str.err_errisdnlayer1,        str.err_abortdued2failure,   \ 
    str.err_abortdued3failure,    str.err_abortdueb2failure,   \ 
    str.err_pubexchangenotresp,   str.err_pubexchangenotresp,  \ 
    str.err_errisdnlayer1,        str.err_facilitynotsupp,     \ 
    str.err_localerr,             str.err_abortduetod3failure, \ 
    str.err_abortduetod3failure,  str.err_lcprejected,         \ 
    str.err_authfailed,           str.err_authrejected,        \ 
    str.err_lcpconerr,            str.err_paprej,              \ 
    str.err_paprecvtimeout,       str.err_paptranstimeout,     \ 
    str.err_wrongpapreq,          str.err_papnakrecv,          \ 
    str.err_chaprej,              str.err_chaprecvtimeout,     \ 
    str.err_chaptranstimeout,     str.err_wrongchapresp,       \ 
    str.err_chapfailrecv,         str.err_unkownchappeer,      \ 
    str.err_ipxcprej,             str.err_wrongipxcpnet,       \ 
    str.err_ipxcpnetrej,          str.err_ipxcprouteunknown,   \ 
    str.err_ipcprej,              str.err_ccprej,              \ 
    str.err_noncpavail,           str.err_timelimitexceeded,   \ 
    str.err_failedtoestb1,        str.err_failedtoestb2,       \ 
    str.err_failedtoestb1,        str.err_abortdueb2failure,   \ 
    str.err_abortdueb2failure,    str.err_errdsllayer1,        \ 
    str.err_servnotavail,         str.err_remotebusy,          \ 
    str.err_generr,               str.err_accconcentincorr,    \ 
    str.err_servnotavail,         str.err_nameofaccconcentinc, \ 
    str.err_remoteerror,          str.err_invalidsessid,       \ 
    str.err_remotenotresp,        str.err_0xbla

